Subject: Re: bug#540: elogind unmounts /run/user/$UID tmpfs filesystem after logging in again

From: Frank <[email-masked]>
Date: Tue, 19 Jan 2021 14:51:03 +0100

Hi Mark,

I am using slim, this is the default DM in Beowulf.
Not sure if the issue is related to the bug you are referring to.

I also tested with a bare minimum xsession with xterm; the issue remains 
the same.
So I would say, the issue is either with slim or elogind, or the 
combination of the two.

Regards,
Frank

Mark Hindley schreef op 2021-01-19 12:30:
> Control: tags -1 moreinfo
> 
> Frank,
> 
> Thanks for this.
> 
> On Mon, Jan 18, 2021 at 09:12:24PM +0100, Frank wrote:
>> Package: elogind
>> Version: 241.4-2
>> 
>> elogind unmounts /run/user/$UID tmpfs filesystem after logging in 
>> again. It
>> should not do that.
>> 
>> Devuan was installed using the Refracta installer that is available on 
>> the
>> iso-file devuan_beowulf_3.0.0_amd64_desktop-live.iso.
>> Unable to reproduce the issue in a VM booted of iso-file
>> devuan_beowulf_3.0.0_i386_desktop-live.iso /
>> devuan_beowulf_3.0.0_amd64_desktop-live.iso.
>> 
>> Steps to reproduce (new install, new user, default settings):
>> 1) login to the XFCE desktop environment.
>> 2) in a terminal window, exec df. This shows, amongst others, a tmpfs
>> filesystem mounted at /run/user/$UID.
>> 3) log out and log back in (rapidly).
> 
> Your comment about 'rapidly' reminds me of an issue I have seen 
> before[1]. It is
> only apparent using slim as DM and is really a bug in slim. Can you 
> confirm if
> that is what you have been using?
> 
> Thanks
> 
> Mark
> 
> 
> [1]  https://github.com/elogind/elogind/issues/95